subroutine PuniSustav(a,b,n)
! rjesenje linearnog sustava A*x=b Gaussovom eliminacijom
! rjesenje se vraca u vektoru x=b
implicit none
integer n
real a(n,n),b(n)
integer i,j,k

	! eliminacija
	do k=1,n	! k-te jednadzbe
		b(k)=b(k)/a(k,k)
		if(k.eq.n) exit
		do j=k+1,n
			if(a(k,j).eq.0) cycle
			a(k,j)=a(k,j)/a(k,k)
			do i=k+1,n
				a(i,j)=a(i,j)-a(i,k)*a(k,j)
			enddo
			b(j)=b(j)-a(j,k)*b(k)
		enddo
	enddo
	! povratna faza
	do k=n-1,1,-1
		do j=k+1,n
			b(k)=b(k)-a(k,j)*b(j)
		enddo
	enddo

end	subroutine PuniSustav
